commit:     d8a6ff012bf0705c92464cba4c6e28bce4d8be69
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 24 00:06:09 2017 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue Oct 24 01:48:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8a6ff01

dev-perl/Getopt-GUI-Long: Enable tests

- EAPI6
- Add basic compile tests
- Add USE=examples

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 .../Getopt-GUI-Long-0.930.0-r2.ebuild              | 39 ++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-perl/Getopt-GUI-Long/Getopt-GUI-Long-0.930.0-r2.ebuild 
b/dev-perl/Getopt-GUI-Long/Getopt-GUI-Long-0.930.0-r2.ebuild
new file mode 100644
index 00000000000..d38b4859425
--- /dev/null
+++ b/dev-perl/Getopt-GUI-Long/Getopt-GUI-Long-0.930.0-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=HARDAKER
+DIST_VERSION=0.93
+DIST_EXAMPLES=("examples/*")
+inherit perl-module
+
+DESCRIPTION="Auto-GUI extending Getopt::Long"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="virtual/perl-File-Temp
+       virtual/perl-Getopt-Long"
+
+src_test() {
+       local MODULES=(
+               "Getopt::GUI::Long ${DIST_VERSION}"
+       )
+       local failed=()
+       for dep in "${MODULES[@]}"; do
+               ebegin "Compile testing ${dep}"
+                       perl -Mblib="${S}" -M"${dep} ()" -e1
+               eend $? || failed+=( "$dep" )
+       done
+       if [[ ${failed[@]} ]]; then
+               echo
+               eerror "One or more modules failed compile:";
+               for dep in "${failed[@]}"; do
+                       eerror "  ${dep}"
+               done
+               die "Failing due to module compilation errors";
+       fi
+       perl-module_src_test
+}

Reply via email to